import java.awt.Color;

public enum CellType {
	MARKED_AS_EMPTY(4, Color.LIGHT_GRAY),
	MARKED_AS_FILLED(2, Color.BLACK),
	EMPTY(1, Color.WHITE),
	MARKED(16, Color.BLUE),
	ERRORENOUS_MARKED_AS_EMPTY(-4, Color.PINK),
	ERRORENOUS_MARKED_AS_FILLED(-2, Color.RED);
	private int state;
	private Color color;
	private CellType(int state, Color color) {
		this.state = state;
		this.color = color;
	}
	public static CellType getByNumber(int num) {
		for (CellType value : CellType.values()) {
			if (value.state == num) return value;
		}
		return null;
	}
	public Color getColor() {
		return color;
	}
}